# PMemBuffer< Locker_T >::Common Struct Reference

`#include <opalmixer.h>`

List of all members.

## Public Member Functions

| Common (size_t size)
| Common (BYTE *ptr, size_t size)

## Public Attributes

int | refCount
Locker_T | mutex
PBYTEArray | base

### template<typename Locker_T = PSyncNULL>
struct PMemBuffer< Locker_T >::Common

## Constructor & Destructor Documentation

template<typename Locker_T = PSyncNULL>

PMemBuffer< Locker_T >::Common::Common | ( | size_t | size | ) | `[inline]`

template<typename Locker_T = PSyncNULL>

PMemBuffer< Locker_T >::Common::Common | ( | BYTE * | ptr,
|  | size_t | size |
| ) |  |  | `[inline]`

## Member Data Documentation

template<typename Locker_T = PSyncNULL>

int PMemBuffer< Locker_T >::Common::refCount `[mutable]`

template<typename Locker_T = PSyncNULL>

Locker_T PMemBuffer< Locker_T >::Common::mutex `[mutable]`

template<typename Locker_T = PSyncNULL>

PBYTEArray PMemBuffer< Locker_T >::Common::base `[mutable]`

The documentation for this struct was generated from the following file:

- opalmixer.h